function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

// external imports
import * as React from 'react';
import ScrollView from "react-native-web/dist/exports/ScrollView";
import View from "react-native-web/dist/exports/View";
import StyleSheet from "react-native-web/dist/exports/StyleSheet";
import _ from 'lodash'; // local imports

import CardPlaceholder from './Placeholder';

var CardGrid = function CardGrid(_ref) {
  var style = _ref.style,
      children = _ref.children,
      _ref$nCols = _ref.nCols,
      nCols = _ref$nCols === void 0 ? 3 : _ref$nCols,
      _ref$padding = _ref.padding,
      padding = _ref$padding === void 0 ? 40 : _ref$padding,
      unused = _objectWithoutProperties(_ref, ["style", "children", "nCols", "padding"]);

  // the style for cards
  var card = {
    marginBottom: padding,
    marginRight: padding // the style of the last card

  };
  var lastCard = {
    marginBottom: padding // get the list of children

  };
  var cards = React.Children.toArray(children);
  return React.createElement(ScrollView, _extends({}, unused, {
    style: [styles.container, style]
  }), _.chunk(cards, nCols).map(function (row, i) {
    return React.createElement(View, {
      style: styles.row,
      key: "row-".concat(i)
    }, row.map(function (child, i) {
      // the style to apply to the card
      var cardStyle = i === row.length - 1 ? lastCard : card;
      return React.createElement(View, {
        style: [styles.card, cardStyle],
        key: "card-".concat(i)
      }, child);
    }), _toConsumableArray(new Array(nCols - row.length)).map(function (_, i) {
      return React.createElement(CardPlaceholder, {
        style: styles.cardWrapper,
        key: "placeholder-".concat(i)
      });
    }));
  }));
};

var styles = StyleSheet.create({
  container: {
    padding: 40
  },
  row: {
    flex: 1,
    flexDirection: 'row',
    justifyContent: 'space-around'
  },
  cardWrapper: {
    flex: 1,
    marginRight: 40,
    marginBottom: 40
  },
  card: {
    flex: 1
  }
});
export default CardGrid;