function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

// external imports
import * as React from 'react';
import { View, Text, StyleSheet, TouchableWithoutFeedback, ViewPropTypes } from 'react-native'; // local imports

import { primaryColor, secondaryColor, grey1, grey3, baseDim } from 'quark-core/styles';

var Checkbox = function Checkbox(_ref) {
  var style = _ref.style,
      children = _ref.children,
      content = _ref.content,
      onPress = _ref.onPress,
      unused = _objectWithoutProperties(_ref, ["style", "children", "content", "onPress"]);

  return React.createElement(TouchableWithoutFeedback, {
    onPress: onPress
  }, React.createElement(View, _extends({}, unused, {
    style: [styles.container, content ? styles.withContent : styles.withoutContent, children ? styles.active : styles.inactive, style]
  }), React.createElement(Text, {
    style: children ? styles.activeText : styles.inactiveText
  }, content)));
};

var styles = StyleSheet.create({
  container: {
    borderRadius: 3,
    borderWidth: 1,
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center'
  },
  withContent: {
    paddingTop: 2 * baseDim,
    paddingBottom: 2 * baseDim,
    paddingLeft: 2 * baseDim,
    paddingRight: 2 * baseDim
  },
  withoutContent: {
    height: 9 * baseDim,
    width: 9 * baseDim
  },
  active: {
    backgroundColor: secondaryColor,
    borderColor: primaryColor
  },
  activeText: {
    color: primaryColor
  },
  inactive: {
    borderColor: grey3
  },
  inactiveText: {
    color: grey3
  }
});
export default Checkbox;