function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

// external imports
import * as React from 'react';
import View from "react-native-web/dist/exports/View";
import Text from "react-native-web/dist/exports/Text";
import StyleSheet from "react-native-web/dist/exports/StyleSheet"; // local imports

import { H2 } from '../../typography';
import { baseDim, grey5 } from 'quark-core/styles';

var Breadcrumbs = function Breadcrumbs(_ref) {
  var style = _ref.style,
      childrenProp = _ref.children,
      divider = _ref.divider,
      unused = _objectWithoutProperties(_ref, ["style", "children", "divider"]);

  var children = React.Children.toArray(childrenProp); // the divider between elements

  var divide = divider || React.createElement(Text, {
    style: styles.divider
  }, ">"); // add the divider after every child

  var childs = children.map(function (child, i) {
    return React.createElement(View, {
      style: styles.level,
      key: i
    }, React.createElement(View, null, child), React.createElement(View, {
      style: styles.dividerContainer
    }, i !== children.length - 1 && divide));
  });
  return React.createElement(View, _extends({
    style: [styles.container, style]
  }, unused), childs);
};

var styles = StyleSheet.create({
  container: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'flex-start'
  },
  level: {
    flexDirection: 'row'
  },
  dividerContainer: {
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    marginLeft: 2 * baseDim,
    marginRight: 2 * baseDim
  },
  divider: {
    fontSize: 6 * baseDim,
    color: grey5
  }
});
export default Breadcrumbs;