function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

// external imports
import * as React from 'react';
import PropTypes from 'prop-types'; // local imports

import FreeState from '../Free';
export var updateList = function updateList(list, i, val) {
  var copy = _toConsumableArray(list);

  copy[i] = val;
  return copy;
};

var ListState = function ListState(_ref) {
  var children = _ref.children,
      unused = _objectWithoutProperties(_ref, ["children"]);

  return React.createElement(FreeState, unused, function (_ref2) {
    var state = _ref2.state,
        set = _ref2.set;
    return React.Children.only(children({
      state: state,
      append: function append(val) {
        return set(_toConsumableArray(state).concat([val]));
      },
      prepend: function prepend(val) {
        return set([val].concat(_toConsumableArray(state)));
      },
      slice: function slice() {
        return set(state.slice.apply(state, arguments));
      },
      update: function update() {
        for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
          args[_key] = arguments[_key];
        }

        return set(updateList.apply(void 0, [state].concat(args)));
      }
    }));
  });
};

ListState.propTypes = {
  children: PropTypes.func.isRequired,
  initial: PropTypes.array
};
ListState.defaultProps = {
  initial: []
};
export default ListState;